.segment "RODATA"

.export palette
.export sprData
.export background_bc

;-----------------------------------------------------------------------------
; Dummy palette
;
palette:
	; Background palettes
	.byte $0F,$27,$15,$05
	.byte $0F,$38,$28,$18
	.byte $0F,$30,$21,$18
	.byte $0F,$21,$15,$05
	
	; Sprite palettes
	.byte $0F,$36,$06,$0F
	.byte $0F,$20,$2A,$0F
	.byte $0F,$36,$15,$0F
	.byte $0F,$30,$15,$0F


;-----------------------------------------------------------------------------
; Our dummy sprite data
;
sprData:
        ; Hero facing right, stand still
        .byte $8F, $86, %01000000, $1D   ; Head
        .byte $97, $87, %01000001, $27   ; torso 1
	.byte $97, $88, %01000001, $1F   ; torso 2
	.byte $97, $89, %01000001, $17   ; torso 3
	.byte $9F, $8A, %01000001, $1F   ; Bottom 1
	.byte $9F, $8B, %01000001, $17   ; Bottom 2
	.byte $A7, $8C, %01000001, $1F   ; Legs 1
	.byte $A7, $8D, %01000001, $17   ; Legs 2


;-----------------------------------------------------------------------------
; Our test BG data extracted with Rocknes
;
background_bc: 
        ; Extract second Name table first
	.incbin "./data/dummy/bc2.nam", $400, $400
	; then first name table
	.incbin "./data/dummy/bc2.nam", $0, $400